### Method

# Gimp Item transform_shear

since: 2.8

#### Declaration [src]

    GimpItem*
    gimp_item_transform_shear (
      GimpItem* item,
      GimpOrientationType shear_type,
      gdouble magnitude
    )

#### Description [src]

Shear the specified item about its center by the specified magnitude.

This procedure shears the specified item.

The shear type parameter indicates whether the shear will be applied horizontally or vertically. The magnitude can be either positive or negative and indicates the extent (in pixels) to shear by.

If a selection exists and the item is a drawable, the portion of the drawable which lies under the selection is cut from the drawable and made into a floating selection which is then sheared as specified. The return value is the ID of the sheared floating selection.

If there is no selection or the item is not a drawable, the entire item will be sheared according to the specified parameters. The return value will be equal to the item ID supplied as input.

This procedure is affected by the following context setters: gimp_context_set_interpolation(), gimp_context_set_transform_direction(), gimp_context_set_transform_resize().

Available since: 2.8

#### Parameters

`shear_type`

  Type: `GimpOrientationType`

  Type of shear.

`magnitude`

  Type: `gdouble`

  The magnitude of the shear.

#### Return value

Type: `GimpItem`

The sheared item.

The returned data is owned by the instance.